<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>birdshot &#8212; birdshot 0.0.post1.dev20+g168d24e.d20231220 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=233b9934" />
    <script src="../_static/documentation_options.js?v=c5a7b33d"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="birdshot package" href="birdshot.html" />
    <link rel="prev" title="Changelog" href="../changelog.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="birdshot">
<h1>birdshot<a class="headerlink" href="#birdshot" title="Link to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="birdshot.html">birdshot package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="birdshot.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="birdshot.html#module-birdshot.birdshot">birdshot.birdshot module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot"><code class="docutils literal notranslate"><span class="pre">Birdshot</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.Entry"><code class="docutils literal notranslate"><span class="pre">Birdshot.Entry</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.G"><code class="docutils literal notranslate"><span class="pre">Birdshot.G</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.Property"><code class="docutils literal notranslate"><span class="pre">Birdshot.Property</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.build_graph"><code class="docutils literal notranslate"><span class="pre">Birdshot.build_graph()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.connection"><code class="docutils literal notranslate"><span class="pre">Birdshot.connection</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.graph"><code class="docutils literal notranslate"><span class="pre">Birdshot.graph()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.project"><code class="docutils literal notranslate"><span class="pre">Birdshot.project</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="birdshot.html#birdshot.birdshot.Birdshot.root"><code class="docutils literal notranslate"><span class="pre">Birdshot.root</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="birdshot.html#module-birdshot.cli">birdshot.cli module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.cli.Storage"><code class="docutils literal notranslate"><span class="pre">Storage</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.cli.UserNotFoundError"><code class="docutils literal notranslate"><span class="pre">UserNotFoundError</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.cli.process_commands"><code class="docutils literal notranslate"><span class="pre">process_commands()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="birdshot.html#module-birdshot.operations">birdshot.operations module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.aggregate"><code class="docutils literal notranslate"><span class="pre">aggregate()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.all_"><code class="docutils literal notranslate"><span class="pre">all_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.any_"><code class="docutils literal notranslate"><span class="pre">any_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.apply"><code class="docutils literal notranslate"><span class="pre">apply()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.bool_"><code class="docutils literal notranslate"><span class="pre">bool_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.children"><code class="docutils literal notranslate"><span class="pre">children()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.dict_"><code class="docutils literal notranslate"><span class="pre">dict_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.download"><code class="docutils literal notranslate"><span class="pre">download()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.drop"><code class="docutils literal notranslate"><span class="pre">drop()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.dump"><code class="docutils literal notranslate"><span class="pre">dump()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.dumps"><code class="docutils literal notranslate"><span class="pre">dumps()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.field"><code class="docutils literal notranslate"><span class="pre">field()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.get"><code class="docutils literal notranslate"><span class="pre">get()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.graph"><code class="docutils literal notranslate"><span class="pre">graph()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.iter_"><code class="docutils literal notranslate"><span class="pre">iter_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.len_"><code class="docutils literal notranslate"><span class="pre">len_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.list_"><code class="docutils literal notranslate"><span class="pre">list_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.load"><code class="docutils literal notranslate"><span class="pre">load()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.match"><code class="docutils literal notranslate"><span class="pre">match()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.model_dump"><code class="docutils literal notranslate"><span class="pre">model_dump()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.node_filter"><code class="docutils literal notranslate"><span class="pre">node_filter()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.nodes"><code class="docutils literal notranslate"><span class="pre">nodes()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.parents"><code class="docutils literal notranslate"><span class="pre">parents()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.path"><code class="docutils literal notranslate"><span class="pre">path()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.pop"><code class="docutils literal notranslate"><span class="pre">pop()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.propagate"><code class="docutils literal notranslate"><span class="pre">propagate()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.push"><code class="docutils literal notranslate"><span class="pre">push()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.reduce"><code class="docutils literal notranslate"><span class="pre">reduce()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.replace"><code class="docutils literal notranslate"><span class="pre">replace()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.store"><code class="docutils literal notranslate"><span class="pre">store()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.str_"><code class="docutils literal notranslate"><span class="pre">str_()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.strip"><code class="docutils literal notranslate"><span class="pre">strip()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.tabulate"><code class="docutils literal notranslate"><span class="pre">tabulate()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.to_csv"><code class="docutils literal notranslate"><span class="pre">to_csv()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.unpack"><code class="docutils literal notranslate"><span class="pre">unpack()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.operations.where"><code class="docutils literal notranslate"><span class="pre">where()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="birdshot.html#module-birdshot.pipe">birdshot.pipe module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.pipe.generator"><code class="docutils literal notranslate"><span class="pre">generator()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.pipe.params_to_dict"><code class="docutils literal notranslate"><span class="pre">params_to_dict()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="birdshot.html#birdshot.pipe.processor"><code class="docutils literal notranslate"><span class="pre">processor()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="birdshot.html#module-birdshot">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">birdshot</a></h1>








<h3>Navigation</h3>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../cli.html">CLI</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="../license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../changelog.html">Changelog</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Module Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="birdshot.html">birdshot package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="../changelog.html" title="previous chapter">Changelog</a></li>
      <li>Next: <a href="birdshot.html" title="next chapter">birdshot package</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Contextualize LLC.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/api/modules.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>